# CreateProductInput

### Fields

#### clientMutationId ([String](/graphql-api/api-reference/objects/string.md))

A unique identifier for the client performing the mutation.

#### metadata ([JSON](/graphql-api/api-reference/objects/json.md))

Metadata that can be used by developers to store additional information on objects.

#### slug ([String](/graphql-api/api-reference/objects/string.md))

In case of an update the slug can also be used to identify the product instead of the ID, if ID is provided it will take precedence over the slug

#### sku ([String](/graphql-api/api-reference/objects/string.md))

#### supplier ([String](/graphql-api/api-reference/objects/string.md))

#### shopifyProductType ([String](/graphql-api/api-reference/objects/string.md))

The product category from Shopify

#### eligibleForDiscount ([Boolean](/graphql-api/api-reference/objects/boolean.md))

#### interval ([Int](/graphql-api/api-reference/objects/int.md))

#### intervalUnitOfMeasure ([String](/graphql-api/api-reference/objects/string.md))

#### initialShipmentDelay ([Int](/graphql-api/api-reference/objects/int.md))

#### initialShipmentDelayUnitOfMeasure ([String](/graphql-api/api-reference/objects/string.md))

#### minimumCommitmentEnabled ([Boolean](/graphql-api/api-reference/objects/boolean.md))

#### minimumCommitmentUnit ([String](/graphql-api/api-reference/objects/string.md))

#### minimumCommitmentPeriod ([Int](/graphql-api/api-reference/objects/int.md))

#### maximumCommitmentEnabled ([Boolean](/graphql-api/api-reference/objects/boolean.md))

#### maximumCommitmentPeriod ([Int](/graphql-api/api-reference/objects/int.md))

#### maximumCommitmentUnit ([String](/graphql-api/api-reference/objects/string.md))

#### graceCancellationEnabled ([Boolean](/graphql-api/api-reference/objects/boolean.md))

#### graceCancellationPeriod ([Int](/graphql-api/api-reference/objects/int.md))

#### graceCancellationUnit ([String](/graphql-api/api-reference/objects/string.md))

#### productType ([String](/graphql-api/api-reference/objects/string.md))

#### availableViaSsc ([Boolean](/graphql-api/api-reference/objects/boolean.md))

If enabled the product can be added by existing customer via the self service center

#### available ([Boolean](/graphql-api/api-reference/objects/boolean.md))

If enabled the product can be added to the checkout by new customers

#### assetPurchasable ([Boolean](/graphql-api/api-reference/objects/boolean.md))

If enabled, customers can purchase the assets assigned to this product via the self service center

#### retailPriceCents ([Int](/graphql-api/api-reference/objects/int.md))

The original retail price shown on the asset purchase flow

#### externalImageUrl ([String](/graphql-api/api-reference/objects/string.md))

Allows you to set the image for the product

#### productGroupId ([ID](/graphql-api/api-reference/objects/id.md))

The ID of the product group this product belongs to

#### titleTranslations (\[[TranslationInput](/graphql-api/api-reference/objects/translation-input.md)!])

Translations for the product title in different locales

#### publicNameTranslations (\[[TranslationInput](/graphql-api/api-reference/objects/translation-input.md)!])

Translations for the product public name in different locales

#### imageTranslations (\[[ImageTranslationInput](/graphql-api/api-reference/objects/image-translation-input.md)!])

Translations for the product image in different locales

#### countryOverrides (\[[ProductCountryOverrideInput](/graphql-api/api-reference/objects/product-country-override-input.md)!])

Country specific setting overrides for this product. These will override default product settings for specified countries. Add new or update override for existing name/countryCode combination. This feature is currently in beta and can be enabled on , request reach out to support for more information.

#### title ([String](/graphql-api/api-reference/objects/string.md)!)

#### priceCents ([Int](/graphql-api/api-reference/objects/int.md)!)

#### taxRateId ([ID](/graphql-api/api-reference/objects/id.md)!)

#### prices (\[[PriceInput](/graphql-api/api-reference/objects/price-input.md)!])

Country specific prices set for this product. These price will override default product price for specified countries.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/create-product-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
